Skip to main content
`Ctrl`+`K`

# DMPlexMetricAverage2

Compute the unweighted average of two metrics

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricAverage2(DM dm, Vec metric1, Vec metric2, Vec metricAvg)

## Input Parameters

- dm - The `DM`

- metric1 - The first metric to be averaged

- metric2 - The second metric to be averaged

## Output Parameter

- metricAvg - The averaged metric

## See Also

`DMPLEX`, `DMPlexMetricAverage()`, `DMPlexMetricAverage3()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages